import type { BuildParams } from 'glightbox-plugin';
import { GLightboxPlugin } from 'glightbox-plugin';

export declare interface VideoOptions {
    maxWidth?: string;
    autoPlay?: boolean;
    matchFn?: Function;
    vistack?: any;
}

declare class VideoSlide extends GLightboxPlugin {
    name: string;
    type: string;
    options: VideoOptions;
    players: Map<HTMLElement, any>;
    defaults: VideoOptions;
    constructor(options?: Partial<VideoOptions>);
    init(): void;
    match(url: string): boolean;
    build({ index, slide, config }: BuildParams): Promise<boolean>;
    cssStyle(): string;
}
export default VideoSlide;

export { }
